#include "interface.h"


static struct termios stored_settings;


void set_keypress(void) {
    struct termios new_settings;
    tcgetattr(0, &stored_settings);
    new_settings = stored_settings;
    new_settings.c_lflag &= ~ICANON;
    new_settings.c_lflag &= ~ECHO;
    new_settings.c_cc[VTIME] = 0;
    tcgetattr(0, &stored_settings);
    new_settings.c_cc[VMIN] = 1;
    tcsetattr(0, TCSANOW, &new_settings);
}

void reset_keypress(void) {
    tcsetattr(0, TCSANOW, &stored_settings);
}

void creeInterface(){
   set_keypress();
   calculTaille(); 
}

void fermeInterface(){
  reset_keypress();
  couleursDefauts();
  effaceEcran();
}

void calculTaille(){
    fprintf(stdout, "\033[10000;10000f\033[6n");
    fscanf(stdin, "\033[%d;%dR",&fenetre.hauteur, &fenetre.largeur);
    effaceEcran();
}

int obtenirLargeur(){
  return fenetre.largeur;
}

int obtenirHauteur(){
  return fenetre.hauteur;
}

void couleurPolice(Couleur couleur){
  switch(couleur){
  case noir:
    printf("\033[30m");
    break;
  case rouge:
    printf("\033[31m");
    break;
  case vert:
    printf("\033[32m");
    break;
  case jaune:
    printf("\033[33m");
    break;
  case bleu:
    printf("\033[34m");
    break;
  case magenta:
    printf("\033[35m");
    break;
  case cyan:
    printf("\033[36m");
    break;
  case blanc:
    printf("\033[37m");
    break;
  case defaut:
    printf("\033[39m");
    break;
  }
}



void couleurPoliceBrillante(Couleur couleur){
  switch(couleur){
  case noir:
    printf("\033[90m");
    break;
  case rouge:
    printf("\033[91m");
    break;
  case vert:
    printf("\033[92m");
    break;
  case jaune:
    printf("\033[93m");
    break;
  case bleu:
    printf("\033[94m");
    break;
  case magenta:
    printf("\033[95m");
    break;
  case cyan:
    printf("\033[96m");
    break;
  case blanc:
    printf("\033[97m");
    break;
  case defaut:
    printf("\033[99m");
    break;
  }
}

void couleurFond(Couleur couleur){
  switch(couleur){
  case noir:
    printf("\033[40m");
    break;
  case rouge:
    printf("\033[41m");
    break;
  case vert:
    printf("\033[42m");
    break;
  case jaune:
    printf("\033[43m");
    break;
  case bleu:
    printf("\033[44m");
    break;
  case magenta:
    printf("\033[45m");
    break;
  case cyan:
    printf("\033[46m");
    break;
  case blanc:
    printf("\033[47m");
    break;
  case defaut:
    printf("\033[49m");
    break;
  }
}

void couleurFondBrillante(Couleur couleur){
  switch(couleur){
  case noir:
    printf("\033[100m");
    break;
  case rouge:
    printf("\033[101m");
    break;
  case vert:
    printf("\033[102m");
    break;
  case jaune:
    printf("\033[103m");
    break;
  case bleu:
    printf("\033[104m");
    break;
  case magenta:
    printf("\033[105m");
    break;
  case cyan:
    printf("\033[106m");
    break;
  case blanc:
    printf("\033[107m");
    break;
  case defaut:
    printf("\033[109m");
    break;
  }
}

void couleursDefauts(){
  printf("\033[0m");
}

void effaceEcran(){
  printf("\033[2J");
  deplaceCurseur(1,1);
}

void effaceLigne(){
  printf("\033[K");
}

void deplaceCurseur(int x,int y){
  printf("\033[%d;%dH",y,x);
}

void sauverPositionCurseur(){
 printf("\033[s");
}

void restaurerPositionCurseur(){
 printf("\033[u");
}


