#ifndef INTERFACE_H
#define INTERFACE_H

#include <stdio.h>
#include <termios.h>
#include <unistd.h>

//Voici les couleurs possibles pour les fonctions bases sur la couleur
enum Couleur{noir,rouge,vert,jaune,bleu,magenta,cyan,blanc,defaut};

struct Fenetre{
  int largeur;
  int hauteur;
};

typedef enum Couleur Couleur;
typedef struct Fenetre Fenetre;

static Fenetre fenetre;

//Creation 
void creeInterface();

//Fermeture
void fermeInterface();

//Obtenir la taille de la fentre
void calculTaille();
int obtenirLargeur();
int obtenirHauteur();

//Pour changer la couleur de fond:
void couleurFond(Couleur couleur);
void couleurFondBrillante(Couleur couleur);

//Pour changer la couleur de la police:
void couleurPolice(Couleur couleur);
void couleurPoliceBrillante(Couleur couleur);

//Pour remettre les couleurs par defaus: 
void couleursDefauts();

//Pour effacer l'ecran et reinitialiser la position du curseur:
void effaceEcran(); 

//Pour effacer la ligne  partir du curseur:
void effaceLigne();

//Pour deplacer le curseur  l'ecran:
void deplaceCurseur(int x, int y);

//Pour sauvegarder la position actuelle du curseur dans le but de la restaurer:
void sauverPositionCurseur();

//Pour restaurer la position du curseur enregistrer
void restaurerPositionCurseur();

#endif
