#ifndef PLATEAU_H
#define PLATEAU_H

#include "interface.h"
#define largeurPiece 7
#define hauteurPiece 4

struct Joueur{
  char type; // 'h' -> humain, 'o' -> ordinateur;
  char nom[8];
};

typedef struct Joueur Joueur;

struct Plateau{
  int dx;
  int dy;
  int dxj1,dxj2;
  int dyj;
  int jactif;
  int tab[7*6];
  /*tab [l][c] = 0 si pas de piece
                 1 si piece joueur 1
		 2 si piece joueur 2*/
  Joueur joueurs[2];
};

static struct Plateau plateau;

void setJoueur1(char type,char nom[8]);
void setJoueur2(char type,char nom[8]);
int lireCase(int c,int l);
void ecrireCase(int c,int l,int v);
void initPlateau();
void dessinePlateau();
void dessinePiece(int l,int c,int j);
int ajoutePiece(int c); //Retourne la ligne de la piece ou -1 si la colonne est pleine
void changeJoueurActif();
char lireTypeJoueurActif();
int lireJoueurActif();


#endif
